import { BindingAddress, BindingKey } from '@loopback/core';
import { RabbitmqComponentConfig } from './interfaces';
import { RabbitmqComponent } from './rabbitmq.component';
import { RabbitmqConsumer } from './rabbitmq.consumer';
import { RabbitmqProducer } from './rabbitmq.producer';
/**
 * Binding keys used by this component.
 */
export declare namespace RabbitmqBindings {
    /**
     * Binding key for `RabbitmqProducer`
     */
    const RABBITMQ_PRODUCER: BindingKey<RabbitmqProducer>;
    /**
     * Binding key for `RabbitmqConsumer`
     */
    const RABBITMQ_CONSUMER: BindingKey<RabbitmqConsumer>;
    /**
     * Binding key for `RabbitmqComponent`
     */
    const COMPONENT: BindingKey<RabbitmqComponent>;
    /**
     * Binding key for configuration of `RabbitmqComponent`.
     */
    const CONFIG: BindingAddress<RabbitmqComponentConfig>;
}
