import { ArtifactOptions, BaseArtifactBooter } from '@loopback/boot';
import { Application } from '@loopback/core';
export declare class ConsumersBooter extends BaseArtifactBooter {
    app: Application;
    consumerConfig: ArtifactOptions;
    constructor(app: Application, projectRoot: string, consumerConfig?: ArtifactOptions);
    /**
     * Uses super method to get a list of Artifact classes.
     */
    load(): Promise<void>;
    /**
     * Register a Consumer class with this application.
     *
     * @param consumerCtor - The consumer class
     * (constructor function).
     * @param name - Optional controller name, default to the class name
     * @returns The newly created binding, you can use the reference to
     * further modify the binding, e.g. lock the value to prevent further
     * modifications.
     *
     */
    private consumers;
}
/**
 * Default ArtifactOptions for ConsumersBooter.
 */
export declare const ConsumersDefaults: ArtifactOptions;
