"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueComponent = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const _1 = require(".");
const keys_1 = require("./keys");
const observers_1 = require("./observers");
let QueueComponent = class QueueComponent {
    constructor(application, componentConfig = {}, getConsumers) {
        this.application = application;
        this.getConsumers = getConsumers;
        this.providers = {};
        this.bindings = [
            core_1.createBindingFromClass(_1.RabbitConsumeMetadataProvider, {
                key: keys_1.QueueBindings.RABBIT_CONSUME_METADATA,
            }),
        ];
        this.lifeCycleObservers = [observers_1.QueueObserver];
    }
};
QueueComponent = tslib_1.__decorate([
    core_1.extensionPoint(keys_1.QUEUE_CONSUMER, {
        tags: { [core_1.ContextTags.KEY]: keys_1.QueueBindings.COMPONENT.key },
        scope: core_1.BindingScope.SINGLETON,
    }),
    tslib_1.__param(0, core_1.inject(core_1.CoreBindings.APPLICATION_INSTANCE)),
    tslib_1.__param(1, core_1.config()),
    tslib_1.__param(2, core_1.extensions()),
    tslib_1.__metadata("design:paramtypes", [core_1.Application, Object, Function])
], QueueComponent);
exports.QueueComponent = QueueComponent;
//# sourceMappingURL=component.js.map