"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueConsumer = void 0;
const core_1 = require("@loopback/core");
const types_1 = require("../types");
/**
 * `@queueConsumer` decorates a QueueConsumer provider class
 *
 * `@example`
 *
 * ```ts
 * @queueConsumer()
 * class QueueProvider implements Provider<QueueConsumer> {
 *   constructor() {}
 *   value() {}
 * }
 * ```
 */
function queueConsumer(...specs) {
    return core_1.bind(types_1.asQueueConsumer, ...specs);
}
exports.queueConsumer = queueConsumer;
//# sourceMappingURL=consumer.decorator.js.map