import { BindingKey, MetadataAccessor } from '@loopback/core';
import { RabbitQueueMetadata } from '../interfaces';
import { QueueComponent } from './component';
import { ConsumerClass, QueueComponentConfig } from './types';
export declare namespace QueueBindings {
    const CONSUMERS = "queue.consumers";
    const CONSUMER = "queue.consumer";
    /**
     * Binding key for QueueComponent
     */
    const COMPONENT: BindingKey<QueueComponent>;
    /**
     * Binding key for configuration of QueueComponent.
     *
     */
    const CONFIG: import("@loopback/core").BindingAddress<QueueComponentConfig>;
    /**
     * Binding key for the controller class resolved in the current request
     * context
     */
    const CONSUMER_CLASS: BindingKey<ConsumerClass>;
    /**
     * Binding key for the consumer method resolved
     * context
     */
    const CONSUMER_METHOD_NAME: BindingKey<string>;
    const RABBIT_CONSUME_METADATA: BindingKey<RabbitQueueMetadata | undefined>;
    const QUEUE_CONSUMER_NAMESPACE = "queue.consumers";
}
export declare const QUEUE_CONSUMER = "components.QueueComponent.consumer";
export declare const RABBIT_CONSUME_METADATA_ACCESSOR: MetadataAccessor<RabbitQueueMetadata, MethodDecorator>;
