"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RABBIT_CONSUME_METADATA_ACCESSOR = exports.QUEUE_CONSUMER = exports.QueueBindings = void 0;
const core_1 = require("@loopback/core");
var QueueBindings;
(function (QueueBindings) {
    QueueBindings.CONSUMERS = 'queue.consumers';
    QueueBindings.CONSUMER = 'queue.consumer';
    /**
     * Binding key for QueueComponent
     */
    QueueBindings.COMPONENT = core_1.BindingKey.create('components.QueueComponent');
    /**
     * Binding key for configuration of QueueComponent.
     *
     */
    QueueBindings.CONFIG = core_1.BindingKey.buildKeyForConfig(QueueBindings.COMPONENT);
    /**
     * Binding key for the controller class resolved in the current request
     * context
     */
    QueueBindings.CONSUMER_CLASS = core_1.BindingKey.create('queue.consumer.current.ctor');
    /**
     * Binding key for the consumer method resolved
     * context
     */
    QueueBindings.CONSUMER_METHOD_NAME = core_1.BindingKey.create('queue.consumer.current.operation');
    QueueBindings.RABBIT_CONSUME_METADATA = core_1.BindingKey.create('components.QueueComponent.operationMetadata');
    QueueBindings.QUEUE_CONSUMER_NAMESPACE = 'queue.consumers';
})(QueueBindings = exports.QueueBindings || (exports.QueueBindings = {}));
exports.QUEUE_CONSUMER = 'components.QueueComponent.consumer';
exports.RABBIT_CONSUME_METADATA_ACCESSOR = core_1.MetadataAccessor.create('components.QueueComponent.rabbitConsume.operationMetadata');
//# sourceMappingURL=keys.js.map