import { Getter, LifeCycleObserver } from '@loopback/core';
import { RabbitmqConsumer } from '../..';
import { RabbitQueueMetadata } from '../../interfaces';
import { QueueConsumer } from '../types';
export declare class QueueObserver implements LifeCycleObserver {
    private readonly getMetadata;
    private rabbitmqConsumer;
    private readonly getConsumers;
    constructor(getMetadata: Getter<RabbitQueueMetadata>, rabbitmqConsumer: RabbitmqConsumer, getConsumers: Getter<QueueConsumer[]>);
    /**
     * This method will be invoked when the application starts
     */
    start(): Promise<void>;
    private initConsumers;
    /**
     * This method will be invoked when the application stops
     */
    stop(): Promise<void>;
}
