"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRabbitConsumeMetadata = exports.RabbitConsumeMetadataProvider = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const core_1 = require("@loopback/core");
const keys_1 = require("../keys");
/**
 * An extension point for Queue Consumer
 */
let RabbitConsumeMetadataProvider = class RabbitConsumeMetadataProvider {
    constructor(consumerClass, methodName) {
        this.consumerClass = consumerClass;
        this.methodName = methodName;
    }
    value() {
        if (!this.consumerClass || !this.methodName)
            return;
        return getRabbitConsumeMetadata(this.consumerClass, this.methodName);
    }
};
RabbitConsumeMetadataProvider = tslib_1.__decorate([
    core_1.extensionPoint(keys_1.QUEUE_CONSUMER),
    tslib_1.__param(0, context_1.inject(keys_1.QueueBindings.CONSUMER_CLASS, { optional: true })),
    tslib_1.__param(1, context_1.inject(keys_1.QueueBindings.CONSUMER_METHOD_NAME, { optional: true })),
    tslib_1.__metadata("design:paramtypes", [Object, String])
], RabbitConsumeMetadataProvider);
exports.RabbitConsumeMetadataProvider = RabbitConsumeMetadataProvider;
function getRabbitConsumeMetadata(consumerClass, methodName) {
    return context_1.MetadataInspector.getMethodMetadata(keys_1.RABBIT_CONSUME_METADATA_ACCESSOR, consumerClass.prototype, methodName);
}
exports.getRabbitConsumeMetadata = getRabbitConsumeMetadata;
//# sourceMappingURL=rabbit-consumer-metadata.provider.js.map