"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asQueueConsumer = void 0;
/* eslint-disable @typescript-eslint/no-explicit-any */
const core_1 = require("@loopback/core");
const _1 = require(".");
const keys_1 = require("./keys");
/**
 * A `BindingTemplate` function to configure the binding as a Queue Consumer.
 *
 * @param binding - Binding object
 */
function asQueueConsumer(binding) {
    return binding
        .apply(core_1.extensionFor(_1.QUEUE_CONSUMER))
        .tag({
        [core_1.ContextTags.TYPE]: keys_1.QueueBindings.CONSUMER,
        // namespace: QueueBindings.QUEUE_CONSUMER_NAMESPACE
        namespace: keys_1.QueueBindings.CONSUMERS,
    })
        .inScope(core_1.BindingScope.SINGLETON);
}
exports.asQueueConsumer = asQueueConsumer;
//# sourceMappingURL=types.js.map