"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitmqComponent = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const debug_1 = tslib_1.__importDefault(require("debug"));
const interfaces_1 = require("./interfaces");
const keys_1 = require("./keys");
const rabbitmq_consumer_1 = require("./rabbitmq.consumer");
const rabbitmq_producer_1 = require("./rabbitmq.producer");
const debug = debug_1.default('loopback:rabbitmq:component');
let RabbitmqComponent = class RabbitmqComponent {
    constructor(application, options = interfaces_1.ConfigDefaults) {
        this.application = application;
        this.options = options;
        this.providers = {};
        debug('options: %o', options);
        debug('RabbitmqComponent::init');
        this.bindings = [
            core_1.createBindingFromClass(rabbitmq_producer_1.RabbitmqProducer, {
                key: keys_1.RabbitmqBindings.RABBITMQ_PRODUCER,
            }),
            core_1.createBindingFromClass(rabbitmq_consumer_1.RabbitmqConsumer, {
                key: keys_1.RabbitmqBindings.RABBITMQ_CONSUMER,
            }),
        ];
    }
};
RabbitmqComponent = tslib_1.__decorate([
    core_1.bind({
        tags: { [core_1.ContextTags.KEY]: keys_1.RabbitmqBindings.COMPONENT.key },
        scope: core_1.BindingScope.SINGLETON,
    }),
    tslib_1.__param(0, core_1.inject(core_1.CoreBindings.APPLICATION_INSTANCE)),
    tslib_1.__param(1, core_1.config()),
    tslib_1.__metadata("design:paramtypes", [core_1.Application, Object])
], RabbitmqComponent);
exports.RabbitmqComponent = RabbitmqComponent;
//# sourceMappingURL=rabbitmq.component.js.map