/// <reference types="node" />
import amqp, { Channel, Connection } from 'amqplib';
import { EventEmitter } from 'events';
import { RabbitmqComponentConfig, RabbitQueueMetadata, SubscribeResponse } from './index';
export declare class RabbitmqConsumer extends EventEmitter {
    private componentConfig;
    private connection;
    private channel;
    private timeoutId;
    private retry;
    private readonly retries;
    private interval;
    constructor(componentConfig: Required<RabbitmqComponentConfig>);
    getConnection(): Promise<Connection>;
    private timeout;
    getChannel(): Promise<Channel>;
    private setupInitChannel;
    setupSubscriberChannel<T>(handler: (msg: T | undefined, rawMessage?: amqp.ConsumeMessage) => Promise<SubscribeResponse>, msgOptions: RabbitQueueMetadata): Promise<void>;
    private handleMessage;
}
